var customizeLoanInfo = new Vue({
    el: '.customize-loan-wrap',
    data: {
        bannerList: []
    },
    methods: {
        init: function(){
            this.getBanner();
        },
        getBanner: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/carfigure/getList.html', 
                { location: 3}
            )
            .then(function(obj){
                that.bannerList = obj;
            },function(){
                hint();
            })
        }
    },
    watch: {
        'bannerList': function(){
            this.$nextTick(function(){
                var mySwiper = new Swiper ('.swiper-container', {
                    autoplay : 4000,
                    direction: 'horizontal',
                    loop: true,
                    // 如果需要分页器
                    pagination: '.swiper-pagination'    
                });
            });
        }
    }
});


customizeLoanInfo.init();