var user_id = localStorage.getItem('user_id' + flagName);
var cash_id = getUrlQuery('cash_id');
var gsouLoanDetail = new Vue({
    el: '.gsou-loan-detail-wrap',
    data: {
        gsouLoanDetail: {},
        monthPay: 0,
        allInterest: 0,
        curMoney: 0,
        curTrem: '',
        term: []
    },
    methods: {
        init: function(){
            this.getGsouLoanDetail();
        },
        // 申请
        applyGsouLoan: function(){
            if(user_id){
                if($('#needs').val() > this.gsouLoanDetail.max){
                    alert('申请金额超出贷款范围');
                }else{
                    var that = this;
                    var trem = $('#trem').find('option:selected').text();
                    var data = {
                        user_id: user_id,
                        cash_id: cash_id,
                        needs: $('#needs').val(),
                        trem: trem.substring(0, trem.length - 2),
                        is_cash: 1
                    };
                    $.post(comUrl + '/daikuan/bank/submit.html',data)
                    .then(function(obj){
                        // console.log(obj);
                        if(obj.status == 'success'){
                        	alert("正在前往...");
                            if(that.gsouLoanDetail.link != '' && that.gsouLoanDetail.link != null){
                                location.href = that.gsouLoanDetail.link;
                            }else{
                                history.go(-1);
                            }
                        }else{
                            alert(obj.cause);
                        }
                    },function(){
                        hint();
                    });
                }
            }else{
                showLogin();
            }
        },
        //获取热门的现金极速贷信息详情
        getGsouLoanDetail: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/cash/getDetail.html', 
                { cash_id: cash_id}
            ).then(function(obj){
                // console.log(obj);
                that.gsouLoanDetail = obj;
                that.term = obj.term.split(",");
                that.curMoney = obj.min;
                that.curTrem = that.term[0];
                that.monthPay = ((obj.interest / 100 * that.curMoney) + (that.curMoney / that.curTrem)).toFixed(2);
                that.allInterest = (that.monthPay * that.curTrem).toFixed(2);
                $('#monthPay').text(that.monthPay + '元');
                $('#allInterest').text(that.allInterest + '元');
            },function(){
                hint();
            })
        }
    },
    watch: {
        'curMoney': function(){
            gsouLoanDetail.monthPay = ((gsouLoanDetail.gsouLoanDetail.interest / 100 * gsouLoanDetail.curMoney) + (gsouLoanDetail.curMoney / gsouLoanDetail.curTrem)).toFixed(2);
            gsouLoanDetail.allInterest = ((gsouLoanDetail.gsouLoanDetail.interest / 100 * gsouLoanDetail.curMoney) * gsouLoanDetail.curTrem).toFixed(2);
            $('#monthPay').text(gsouLoanDetail.monthPay + '元');
            $('#allInterest').text(gsouLoanDetail.allInterest + '元');
        },
        'curTrem': function(){
            gsouLoanDetail.monthPay = ((gsouLoanDetail.gsouLoanDetail.interest / 100 * gsouLoanDetail.curMoney) + (gsouLoanDetail.curMoney / gsouLoanDetail.curTrem)).toFixed(2);
            gsouLoanDetail.allInterest = ((gsouLoanDetail.gsouLoanDetail.interest / 100 * gsouLoanDetail.curMoney) * gsouLoanDetail.curTrem).toFixed(2);
            $('#monthPay').text(gsouLoanDetail.monthPay + '元');
            $('#allInterest').text(gsouLoanDetail.allInterest + '元');
        }
    }
});

gsouLoanDetail.init();
