var user_id = getUrlQuery('user_id');
var userInfo = new Vue({
    el: '.mycenter-wrap',
    data: {
        userInfo: {},
        headPic: ''
    },
    methods: {
        init: function(){
            this.getUserInfo();
        },
        // 修改用户头像
        setHeadPic: function(){
            $('#headPic').trigger('click');
        },
        getFile: function(e){
            $('.loading-frame').removeClass('dn');
            var that = this;
            var files = e.target.files || e.dataTransfer.files;
            if(files && files != null){
                var fd = new FormData();
                fd.append("user_id", user_id);
                fd.append("user_head_pic", files[0]);
                $.ajax({
                    url: comUrl + "/daikuan/user/setHeadPic.html",
                    type: "post",
                    processData: false,
                    contentType: false,
                    data: fd,
                    success: function(obj) {
                        // console.log(obj);
                        that.headPic = obj.url;
                        $('.loading-frame').addClass('dn');
                    },
                    fail: function(){
                        $('.loading-frame').addClass('dn');
                        alert('修改头像失败！');
                    }
                });
            }
        },
        //获取用户信息
        getUserInfo: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/user/getUser.html', 
                { user_id: user_id}
            ).then(function(obj){
                // console.log(obj);
                that.userInfo = obj;
                that.headPic = obj.head_pic;
            },function(){
                hint();
            })
        },
        //页面跳转
        toMydata: function(){
            location.href = 'mydata.html?user_id=' + user_id;
        },
        toApply: function(){
            location.href = 'apply.html?user_id=' + user_id;
        },
        toSetting: function(){
            location.href = 'setting.html?user_id=' + user_id;
        },
        toRecommend: function(){
            location.href = 'recommend.html?user_id=' + user_id + '&add_url=' + escape(userInfo.userInfo.add_url) + '&true_name=' + escape(userInfo.userInfo.true_name) + '&head_pic=' + escape(userInfo.userInfo.head_pic);
        },
        toFriend: function(){
            location.href = 'friend.html?user_id=' + user_id + '&pre_recom=' + userInfo.userInfo.recom_number;
        },
    }
});

userInfo.init();

