var queryInfo = new Vue({
    el: '.query-wrap',
    data: {
        queryInfo: {},
        name: '',
        sexTxt: '',
        allAmount: 0,
        showHomeMoney: false,
        showMonthHomeMoney: false,
        showCarMoney: false,
        showMonthCarMoney: false,
        n10Val: 3,
        n11Val: 3
    },
    methods: {
        calculation: function(){
            var name = $('#name').val();
            var idcode = $('#idcode').val();
            var regIdCard=/^(^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$)|(^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])((\d{4})|\d{3}[Xx])$)$/;
            if(name == ''){
                alert('请输入姓名');
            }else if(idcode == ''){
                alert('请输入身份证号')
            }else if(!regIdCard.test(idcode)){
                alert('身份证号格式不对')
            }else{
                var that = this;
                this.name = $('#name').val();
                if($('#sex option:selected').val() == '1'){
                    this.sexTxt = '先生';
                }else{
                    this.sexTxt = '女士';
                }
                var n1 = parseInt($('#n1 option:selected').val()) * 0.9;
                var n2 = parseInt($('#n2 option:selected').val()) * 1.8;
                var n3 = parseInt($('#n3 option:selected').val()) * 5.5;
                var n4 = parseInt($('#n4 option:selected').val()) * 4.5;
                var n5 = parseInt($('#n5 option:selected').val()) * 3.8;
                var n6 = $('#n6').val();
                var n7 = parseInt($('#n7 option:selected').val()) * 6.3;
                var n8 = parseInt($('#n8 option:selected').val()) * 7.5;
                var n9 = parseInt($('#n9 option:selected').val()) * 3.6;
                var n10 = parseInt($('#n10 option:selected').val()) * 5.5;
                var n11 = parseInt($('#n11 option:selected').val()) * 2.7;
                var n12 = $('#n12 option:selected').val() * 1;
                var n13 = $('#home-money').val();
                var n14 = $('#month-home-money').val();
                var n15 = $('#car-money').val();
                var n16 = $('#month-car-money').val();

                var comN = ((n1 + n2 + n3 + n4 + n5 + n7 + n8 + n9 + n10 + n11) / 118.45 * 10 * n6) * n12;
                // console.log(comN);

                if(that.n10Val == '5'){
                    console.log(1);
                    if(that.n11Val == '5'){
                        that.allAmount = comN + n13 * 0.7 + n15 * 0.7;
                    }else if(that.n11Val == '4'){
                        that.allAmount = comN + n13 * 0.7 + n16 * 30;
                    }else{
                        that.allAmount = comN + n13 * 0.7;
                    }
                }else if(that.n10Val == '4'){
                    console.log(2);
                    if(that.n11Val == '5'){
                        that.allAmount = comN + n14 * 45 + n15 * 0.7;
                    }else if(that.n11Val == '4'){
                        that.allAmount = comN + n14 * 45 + n16 * 30;
                    }else{
                        that.allAmount = comN + n14 * 45;
                    }
                }else{
                    console.log(3);
                    if(that.n11Val == '5'){
                        that.allAmount = comN + n15 * 0.7;
                    }else if(that.n11Val == '4'){
                        that.allAmount = comN + n16 * 30;
                    }else{
                        that.allAmount = comN;
                    }
                }
                // console.log(that.allAmount);
               
                $('.result-frame').removeClass('dn');
            }
        },
        closeResult: function(){
            $('.result-frame').addClass('dn');
        }
    },
    watch: {
        n10Val: function(){
            var that = this;
            if(that.n10Val == '5'){
                that.showHomeMoney = true;
                that.showMonthHomeMoney = false;
            }else if(that.n10Val == '4'){
                that.showHomeMoney = false;
                that.showMonthHomeMoney = true;
            }else{
                that.showHomeMoney = false;
                that.showMonthHomeMoney = false;
            }
        },
        n11Val: function(){
            var that = this;
            if(that.n11Val == '5'){
                that.showCarMoney = true;
                that.showMonthCarMoney = false;
            }else if(that.n11Val == '4'){
                that.showCarMoney = false;
                that.showMonthCarMoney = true;
            }else{
                that.showCarMoney = false;
                that.showMonthCarMoney = false;
            }
        }
    }
});
