var regInfo = new Vue({
    el: '.reg-wrap',
    data: {
        aboutInfo: {},
        pre_recom: ''
    },
    methods: {
        // 获取验证码
        getCode: function($this){
            var phone = $('#phone').val();
            if(phone == ''){
                alert('手机号码不能为空');
            }else{
                $.post(
                    comUrl + '/daikuan/web/code.html',
                    {phone: phone}
                ).then(function(obj){
                    alert(obj.cause);
                    $($this.target).addClass('dn').next().removeClass('dn');
                    countdown();
                },function(){
                    hint();
                })
            }
        },
        // 注册
        toReg: function(){
            var phone_number = $('#phone').val();
            var true_name = $('#name').val();
            var password = $('#pwd').val();
            var repwd = $('#repwd').val();
            var id_card = $('#idcode').val();
            var ident_code = $('#code').val();
            var pre_recom = $('#pre_recom').val();
            if(phone_number == ''){
                alert('手机号码不能为空');
                return;
            }else if(true_name == ''){
                alert('姓名不能为空');
                return;
            }else if(password == ''){
                alert('密码不能为空');
                return;
            }else if(password != repwd){
                alert('两次输入密码不一致');
                return;
            }else if(ident_code == ''){
                alert('验证码不能为空');
                return;
            }else{
                var mydata = {
                        phone_number: phone_number,
                        true_name: true_name,
                        password: password,
                        id_card: id_card,
                        ident_code: ident_code,
                        pre_recom: pre_recom
                    };
                // console.log(mydata);
                $.post(
                    comUrl + '/daikuan/user/regUser.html',
                    {
                        phone_number: phone_number,
                        true_name: true_name,
                        password: password,
                        id_card: id_card,
                        ident_code: ident_code,
                        pre_recom: pre_recom
                    }
                ).then(function(obj){
                    if(obj.status == 'success'){
                        alert(obj.cause);
                        $.post(
                            comUrl + '/daikuan/user/sign.html', 
                            { phone_number: phone_number, password: password}
                        ).then(function(obj){
                            // console.log(obj);
                            if(obj.status == 'success'){
                                localStorage.setItem('user_id' + flagName, obj.result.user_id);
                                history.go(-1);
                            }else{
                                alert(obj.cause);
                            }
                        },function(){
                            hint();
                        });
                        
                    }else{
                        alert(obj.cause);
                    }
                },function(){
                    hint();
                })
            }
        }
    }
});
var pre_recom = getUrlQuery('pre_recom');
if(pre_recom){
    regInfo.pre_recom = pre_recom;
    $('#pre_recom').attr('readonly', true);
}
function countdown(){
    var time = 60;
    var mycountdown = setInterval(function(){
        if(time > 0){
            time--;
            $('.btn-send-code1').text('重新发送(' + time + ')')
        }else{
            $('.btn-send-code1').addClass('dn').prev().removeClass('dn');
            clearInterval(mycountdown);
        }
    }, 1000)
}