var user_id = localStorage.getItem('user_id' + flagName);
var bank_inst_id = getUrlQuery('bank_inst_id');
var bankLoanDetail = new Vue({
    el: '.bank-loan-detail-wrap',
    data: {
        bankLoanDetail: {}
    },
    methods: {
        init: function(){
            this.getInstsList();
        },
        //申请
        applyBankLoan: function(){
            var that = this;
            if(user_id){
                var data = {
                    user_id: user_id,
                    bank_inst_id: bank_inst_id,
                    is_cash: 2
                };
                // console.log(data);
                $.post(comUrl + '/daikuan/bank/submit.html',data)
                .then(function(obj){
                    // console.log(obj);
                    if(obj.status == 'success'){
                    	alert("正在前往...");
                        if(that.bankLoanDetail.link != '' && that.bankLoanDetail.link != null){
                            location.href = that.bankLoanDetail.link;
                        }else{
                            history.go(-1);
                        }
                    }else{
                        alert(obj.cause);
                    }
                },function(){
                    hint();
                });
            }else{
                showLogin();
            }
        },
        // 获取机构贷款信息列表
        getInstsList: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/bank/getDetail.html',
                {
                    id: bank_inst_id
                }
            ).then(function(obj){
                that.bankLoanDetail = obj;
            },function(){
                hint();
            });
        }
    }
});

bankLoanDetail.init();