var bankLoanInfo = new Vue({
    el: '.bank-loan-wrap',
    data: {
        instsList: []
    },
    methods: {
        init: function(){
            this.getInstsList();
        },
        // 获取机构贷款信息列表
        getInstsList: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/bank/search.html',
                {
                    content: getUrlQuery('content'),
                    area: getUrlQuery('area')
                }
            ).then(function(obj){
                // console.log(obj);
                that.instsList = obj;
            },function(){
                hint();
            });
        },
        // 跳去详情页
        toDetail: function(bank_inst_id){
            location.href = 'bank-loan-detail.html?bank_inst_id=' + bank_inst_id;
        }
    }
});

bankLoanInfo.init();