﻿var comUrl = 'http://120.79.31.206:8080';
var flagName = 'xrll';

var hasComHeader = document.querySelector('.common-header');
if(hasComHeader){
    var comHeader = new Vue({
        el: '.common-header',
        data:{},
        methods: {
            toMyCenter: function(){
                var user_id = localStorage.getItem('user_id' + flagName);
                if(user_id){
                    location.href = 'mycenter.html?user_id=' + user_id;
                }else{
                    showLogin();
                }
            }
        }
    });
}


//登录
function login(){
    var phone_number = $('.phone_number').val();
    var password = $('.password').val();
    $.post(
        comUrl + '/daikuan/user/sign.html', 
        { phone_number: phone_number, password: password}
    ).then(function(obj){
        // console.log(obj);
        if(obj.status == 'success'){
            localStorage.setItem('user_id' + flagName, obj.result.user_id);
            localStorage.setItem('recom_number' + flagName, obj.result.recom_number);
            $('.login-wrap').addClass('dn');
            location.reload();
        }else{
            alert(obj.cause);
        }
    },function(){
        hint();
    });
}
//显示登录框
function showLogin(){
    $('.login-wrap').removeClass('dn');
}
//关闭登录
function closeLogin(){
    $('.login-wrap').addClass('dn');
}

function changePwd(){
    location.href = 'change-pwd.html';
}


/*获取地址栏参数*/
function getUrlQuery(name){
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if(r != null){
        return unescape(r[2]);
    }else{
        return null;
    }
}

//提示
function hint(str){
    if(str){
        console.log(str);
    }else{
        console.log('请求失败！');
    }
}

// 回到顶部
function toTop(){
    $(window).scrollTop(0);
}


$(function(){

    $('.btn-back').on('click',function(){
        history.back();
    });

});


document.addEventListener('plusready', function() {
        var webview = plus.webview.currentWebview();
        plus.key.addEventListener('backbutton', function() {
            webview.canBack(function(e) {
                if(e.canBack) {
                    webview.back();             
                } else {
                    //webview.close(); //hide,quit
                    //plus.runtime.quit();
                    mui.plusReady(function() {
                        //首页返回键处理
                        //处理逻辑：1秒内，连续两次按返回键，则退出应用；
                        var first = null;
                        plus.key.addEventListener('backbutton', function() {
                            //首次按键，提示‘再按一次退出应用’
                            if (!first) {
                                first = new Date().getTime();
                                mui.toast('再按一次退出应用');
                                setTimeout(function() {
                                    first = null;
                                }, 1000);
                            } else {
                                if (new Date().getTime() - first < 1500) {
                                    plus.runtime.quit();
                                }
                            }
                        }, false);
                    });
                }
            })
        });
    });
    

// 状态栏全屏
  document.addEventListener('plusready', function(){
    //参数：true - 全屏;false - 不全屏
    plus.navigator.setFullscreen(true);
     
  });