var currentPage  = 1;
var oldType = '';
var gsouLoanInfo = new Vue({
    el: '.gsou-loan-wrap',
    data: {
        gsouLoanList: [],
        type: ''
    },
    methods: {
        init: function(){
            var that = this;
            this.getGsouLoanList(1);
        },
        //获取热门的现金极速贷信息列表
        getGsouLoanList: function(type, $this){
            var that = this;
            that.type = type;
            if(type != oldType){
                currentPage = 1;
                that.gsouLoanList = [];
                $('.btn-load').removeClass('dn');
            }
            oldType = type;
            if($this){
                $($this.target).addClass('active').siblings().removeClass('active');
            }
            if(type == 1){
                $.post(
                    comUrl + '/daikuan/cash/host.html', 
                    { currentPage: currentPage}
                ).then(function(obj){
                    // console.log(obj);
                    that.gsouLoanList = obj;
                },function(){
                    hint();
                })
            }else{
                $.post(
                    comUrl + '/daikuan/cash/alls.html', 
                    { currentPage: currentPage}
                ).then(function(obj){
                    // console.log(obj);
                    that.gsouLoanList = obj;
                },function(){
                    hint();
                })
            }
        },
        toDetail: function(cash_id){
            location.href = 'gsou-loan-detail.html?cash_id=' + cash_id;
        },
        loadmore: function(){
            currentPage++;
            var that = this;
            if(that.type == 1){
                $.post(
                    comUrl + '/daikuan/cash/host.html', 
                    { currentPage: currentPage}
                ).then(function(obj){
                    // console.log(obj);
                    if(obj.length > 0){
                        that.gsouLoanList = that.gsouLoanList.concat(obj);
                    }else{
                        $('.btn-load').addClass('dn');
                    }
                },function(){
                    hint();
                })
            }else{
                $.post(
                    comUrl + '/daikuan/cash/alls.html', 
                    { currentPage: currentPage}
                ).then(function(obj){
                    // console.log(obj);
                    if(obj.length > 0){
                        that.gsouLoanList = that.gsouLoanList.concat(obj);
                    }else{
                        $('.btn-load').addClass('dn');
                    }
                },function(){
                    hint();
                })
            }
        }
    }
});

gsouLoanInfo.init();

