var user_id = getUrlQuery('user_id');

var mydataInfo = new Vue({
    el: '.mydata-wrap',
    data: {
        userInfo: {},
        mydataList: []
    },
    methods: {
        init: function(){
            var that = this;
            this.getUserInfo();
        },
        //修改用户信息
        updateUserInfo: function(type){
            var that = this;
            var data = {};
            var type = $('.mydata-tab-ls').find('span.active').index();
            switch(type){
                case 0:
                    var city = $('#city').find("option:selected").text();
                    var marital_status = $('#marital_status').find("option:selected").text();
                    var de_of_edu = $('#de_of_edu').find("option:selected").text();
                    data = {city:city, marital_status:marital_status, de_of_edu:de_of_edu};
                    break;
                case 1:
                    var pro_ident = $('#pro_ident').find("option:selected").text();
                    var income_form = $('#income_form').find("option:selected").text();
                    var month_income = $('#month_income').val();
                    var company_type = $('#city').find("option:selected").text();
                    var work_hours = $('#work_hours').find("option:selected").text();
                    var accum_fund = $('#accum_fund').find("option:selected").text();
                    var social_security = $('#social_security').find("option:selected").text();
                    data = {user_id:user_id, pro_ident:pro_ident, income_form:income_form, month_income:month_income, company_type:company_type, work_hours:work_hours, accum_fund:accum_fund, social_security:social_security};
                    break;
                case 2:
                    var has_credit = $('#has_credit').find("option:selected").text();
                    var house_property = $('#house_property').find("option:selected").text();
                    var car_production = $('#car_production').find("option:selected").text();
                    var has_loan = $('#has_loan').find("option:selected").text();
                    var credit_level = $('#credit_level').find("option:selected").text();
                    data = {user_id:user_id, has_credit:has_credit, house_property:house_property, car_production:car_production, has_loan:has_loan, credit_level:credit_level};
                    break;
                case 3:
                    var account_name = $('#account_name').val();
                    var account_number = $('#account_number').val();
                    var account = $('#account').find("option:selected").text();
                    data = {user_id:user_id, account_name:account_name, account_number:account_number, account:account};
                    break;
            }
            $.post(
                comUrl + '/daikuan/user/update.html', data)
            .then(function(obj){
                // console.log(obj);
                if(obj.status == 'success'){
                    hint('更新成功');
                }else{
                    hint('更新失败');
                }
            },function(){
                hint();
            })
        },
        //获取用户信息
        getUserInfo: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/user/getUser.html', 
                { user_id: user_id}
            ).then(function(obj){
                // console.log(obj);
                that.userInfo = obj;
            },function(){
                hint();
            })
        },
        //切换tab选项
        changeTab: function($this){
            var index = $($this.target).index();
            $($this.target).addClass('active').siblings().removeClass('active');
            $('.mydata-item').eq(index).removeClass('dn').siblings().addClass('dn');
        }
    }
});

mydataInfo.init();