var settingInfo = new Vue({
    el: '.setting-wrap',
    data: {
        shareInfo: {}
    },
    methods: {
        init: function(){
            var that = this;
            this.getShare();
        },
        toAbout: function(){
            location.href = 'about.html?user_id=' + getUrlQuery('user_id');
        },
        toFeedback: function(){
            location.href = 'feedback.html?user_id=' + getUrlQuery('user_id');
        },
        toCollaboration: function(){
            location.href = 'collaboration.html?user_id=' + getUrlQuery('user_id');
        },
        toAccount: function(){
            location.href = 'account.html?user_id=' + getUrlQuery('user_id');
        },
        quitLogin: function(){
            localStorage.removeItem("user_id" + flagName);
            location.href = 'index.html';
            hint("成功退出登录");
        },
        toShare: function(){
            var recom_number = localStorage.getItem('recom_number' + flagName);
            if(recom_number){
                this.shareInfo.link = this.shareInfo.link + '?pre_recom=' + recom_number;
                var shareContent = JSON.stringify(this.shareInfo);
                NativeMethod.jsCallAppShare(shareContent);
            }else{
                var shareContent = JSON.stringify(this.shareInfo);
                NativeMethod.jsCallAppShare(shareContent);
            }
        },
        // 获取分享内容
        getShare: function(){
            var that = this;
            $.post(comUrl + '/daikuan/web/share.html')
            .then(function(obj){
                // console.log(obj);
                that.shareInfo = obj;
            },function(){
                hint();
            })
        },
    }
});

settingInfo.init();